import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: T[];
}
export interface O<T> {
    a: T[];
    head: T;
    test: boolean;
}
export default class Behead<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a }: I<T>, done: any): void;
}
